<meta name="viewport" content="width=device-width">

<style>
    th,td{
        text-align: left;
    }
    *{
        font-family: Arial;
        font-size: 12px;
        font-wight:light;

    }
table,td,th{
    border:gray 1px solid;
    border-collapse: collapse;
    font-size: 12px;
}

th{
    background: green;
    color:white;
}
</style>

<meta name="mobile-web-app-capable" content="yes">
<a href="#" onClick="atras()"> Ir atras<<<</a><br>
<?php
    
    require_once("../php/config.php");
    require_once("../php/fechas.php");
    $datos = array();
   
    $sql = "select * from clientes";
	//$resultado = mysql_query($sql) or die(mysql_error());
	$tipo = $_POST["tipo"];
	$dias = 0;
	
	if($tipo=="Diario"){$dias = 1;}
	if($tipo=="Semanal"){$dias = 7;}
	if($tipo=="Quincenal"){$dias = 15;}
	if($tipo=="Mensual"){$dias = 30;}
	
	$monto = $_POST["monto"];
	$id_venta = $_POST["id_venta"];
	$ccuotas = $_POST["cuotas"];
	
	$tasa = $_POST["tasa"];
    $vence = $_POST["fecha"];

	$id = $_POST["numero"];
	$cliente =  $_POST["cliente"];
	$id_cliente =  $_POST["cliente"];
	$cobrador = $_POST["cobrador"];
	$numero = $_POST["numero"];

	$deuda=$monto;
	$anos=$ccuotas;

	 $sql2 = mysql_query("select * from clientes where id_cliente='$id_cliente'") or die(mysql_error());
	$cliente = @mysql_result($sql2,0,"nombre");
	$cedula = @mysql_result($sql2,0,"cedula");
	$telefono = @mysql_result($sql2,0,"telefono");

	
	if($tipo=="" or $id_cliente=="" or $vence=="" or $ccuotas=="" or $tasa=="" or $monto=="" or $numero=="" or $numero=="0"){
	    echo "Datos incompletos...";
	    sleep(2);
	    echo "<script>
	            var param;
	            param ='tipo=$tipo';
	            param +='&cliente=$cliente';
	            param +='&id_cliente=$id_cliente';
	            param +='&vence=$vence';
	            param +='&cuotas=$ccuotas';
	            param +='&tasa=$tasa';
	            param +='&monto=$monto';
	            param +='&numero=$numero';
	            param +='&cobrador=$cobrador';
	            window.location.href='nuevo_prestamo.php?'+param;
	        </script>";
	}
	
	
 
	// hacemos los calculos...
	if($tasa>0){
		$interes=$monto * $tasa/100;
	}else{
		$interes=0;
	}
	
	
	
	$m=$monto + $interes;
	$mcuota = $m / $ccuotas;
    echo "<form action='grabar_cuotas.php' method='POST' name='fm' id='frm' onSubmit='load()'>";
    echo "<input type='hidden' name='numero' value='".$numero."'>";
    echo "<input type='hidden' name='tasa' value='".$tasa."'>";
     echo "<input type='hidden' name='tipo' value='".$tipo."'>";
	 echo "<input type='hidden' name='id_venta' value='".$id_venta."'>";
    echo "<input type='hidden' name='fecha' value='".$vence."'>";
    echo "<input type='hidden' name='monto' value='".$deuda."'>";
    echo "<input type='hidden' name='cuota' value='".$mcuota."'>";
    echo "<input type='hidden' name='id_cliente' value='".$id_cliente."'>";
     
    echo "<input type='hidden' name='cuotas' value='".$ccuotas."'>";
    
    
     echo "<input type='hidden' name='cobrador' value='".$cobrador."'>";
     
	echo "<div>Capital Inicial: ".number_format($deuda,2,".",",")." RD$";
	echo "<br>Cuota a pagar ".$tipo.": ".decimal($mcuota);
	echo "<input type='hidden' value='$mcuota' id='valor_cuota'>";

	echo "<br><b>TOTAL A PAGAR: ".decimal($m)."</b></div>";
	
    echo "<input type='hidden' name='interes' value='0'>"; 
    
	echo "<input type='hidden' value='$mcuota' id='total_a_pagar' name='capital'>";
	$tt = $monto + $total_interes;
	echo "<input type='hidden' name='total' value='$m'>";

	
	echo "<input type='hidden' value='".$cliente."' name='cliente1'>";
	
    echo "<b>Deudor: </b>".$cliente."<br>";
    echo $_POST["cedula"]."<br>";
    echo $_POST["telfono"]."<br>";
    echo $_POST["direccion"]."<br>";
    ?>
    
   <button onClick="" id='grabar'> Grabar financiamiento</button><br><br>
   

	<?php
	echo "<table id='lista-cuotas-tabla' style='widht:100%' class='table table-sm'>
		<tr>
		    <th>Fecha pago</th>
			<th># Cuota</th>
			
			
			<th>Valor cuota</th>
			<th>Deuda</th>
			
		</tr>";
	
		// mostramos todos los meses...
		$deuda = $m;
		for($i=1;$i<=$anos;$i++)
		{
			   
		    	$vence = @date('Y-m-d', strtotime($vence. ' + '.$dias.' days'));
	            $vence = @date($vence);
		        echo "<tr>";
			    echo "<td>".fecha($vence)."</td>";
				echo "<td>".$i."</td>";
				//$totalint=$totalint+($deuda*$interes);
				echo "<td>".number_format($mcuota,2,".",",")."</td>";
				////echo "<td>".number_format($m-($deuda*$interes),2,".",",")."</td>";
				//$a = $deuda*$interes;
				///$b = $m-($deuda*$interes);
				//$cuota = $a + $b;
				$deuda = $deuda - $mcuota;
				echo "<td>".number_format($deuda,2,".",",")."</td>";
				///$deuda=$deuda-($m-($deuda*$interes));
				////if ($deuda<
			echo "</tr>";
			
		}
echo "</table>";
echo "<div style='float:left'>
        <center>
        _______________________<br>
        Firma del Deudor
        </center>
        </div>";
        
        
 echo "<div style='float:right'>
        <center>
        _______________________<br>
        Firma del Garante
        </center>
        </div>";
        

?>
<script>
function load(){
   document.getElementById('grabar').disabled = 'true';
}

function atras(){
				var tipo = "<?php echo $tipo?>";
				var cliente = "<?php echo $cliente?>";
				var vence = "<?php echo $vence?>";
				var cuotas = "<?php echo $ccuotas?>";
				var tasa = "<?php echo $tasa?>";
				var monto = "<?php echo $monto?>";
				var numero = "<?php echo $numero?>";
				var cobrador = "<?php echo $cobrador?>";
	            var param;
	            param ='tipo='+tipo;
	            param +='&cliente='+cliente;
	            param +='&vence='+vence;
	            param +='&cuotas='+cuotas;
	            param +='&tasa='+tasa;
	            param +='&monto='+monto;
	            param +='&numero='+numero;
	            param +='&cobrador='+cobrador;
	            window.location.href='nuevo_prestamo.php?'+param;
				
	    
}
</script>